import PnpmError from '@pnpm/error';
export declare class BadEnvVariableError extends PnpmError {
    constructor({ envName, wantedValue, currentValue }: {
        envName: string;
        wantedValue: string;
        currentValue: string;
    });
}
export declare class BadShellSectionError extends PnpmError {
    current: string;
    wanted: string;
    constructor({ wanted, current, configFile }: {
        wanted: string;
        current: string;
        configFile: string;
    });
}
